Page MenuHomePhabricator

Get community input on tools, bots and workflows on Wikimedia Commons that will likely be affected by Structured Data on Commons.
Closed, ResolvedPublic

Description

Create, and invite additions and input on a subpage of the Structured Data on Commons info pages, listing the major tools, gadgets, bots and processes that will most likely be affected by the upcoming changes with Structured Data on Commons.

Some starting points:

The resulting spreadsheet from this task is here: https://docs.google.com/spreadsheets/d/1GVR0jghBWuAGqJaT7KVXigMYWWNzdnrnwI9nWqfJrCo/edit#gid=0

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 23 2017, 6:02 PM
Abit added a subscriber: Abit.Sep 6 2017, 11:00 PM
Quiddity updated the task description. (Show Details)Oct 25 2017, 5:50 PM
Quiddity added a subscriber: Quiddity.
Conny added a subscriber: Conny.Nov 12 2017, 8:08 PM

Relevant related task for investigating which tools are used often: T178834: Provide any rough metrics for tool and project usage

I have created a general Google sheet with an overview of important tools (Commons, Wikidata, GLAM) that I could find so far. Input on this sheet is very welcome. Everyone should be able to comment on it, and please ping me if you want full editing access.

Here it is: https://docs.google.com/spreadsheets/d/1GVR0jghBWuAGqJaT7KVXigMYWWNzdnrnwI9nWqfJrCo/edit#gid=0

I would like to ask for feedback on the following things:

  • Tool developer: are your tools represented correctly? Please edit if that is not the case. Pinging @Yarl and @Magnus already
  • Not every tool is associated with a developer yet and additions are welcome, especially for the most crucial tools.
  • Active tool users (1): Please check if your favorite tools are in this sheet and if not: leave a comment or add them directly.
  • Active tool users (2): Indicate the importance of your favorite tools in the pink column 'Importance'. Feel free to add comments with extra input too!

Next steps will then be (among other things)

  • Prioritize support for the most important tools here
  • Make sure there are Phab tasks for all needed updates
  • See where extra help is needed, and investigate what kind of help that could be (focus on these tools in hackathons? other types of support?), so that I can start assisting there.

Thank you!

Quiddity updated the task description. (Show Details)Nov 27 2017, 9:11 PM

Please note that, while https://tools.wmflabs.org/admin/tools indeed lists all Toolforge "registered tools", many of them are containers for two or more "actual", distinct tools.

Feedback on the spreadsheet has been pretty good. Thanks to everyone who participated (and feel free to add more input).

Next step is a prioritization survey - see subtask T182100: Perform small Commons and Wikidata tool prioritization survey (AllOurIdeas).

The results from the prioritization survey have been added to the spreadsheet: https://docs.google.com/spreadsheets/d/1GVR0jghBWuAGqJaT7KVXigMYWWNzdnrnwI9nWqfJrCo/edit#gid=0

Approx. 200 people participated in that, with approx. 3,000 responses!

Elitre added a subscriber: Elitre.Feb 16 2018, 6:17 PM

Is this task transitioning, co-owned...?

Is this task transitioning, co-owned...?

Transitioning at the moment. I want to make the list of tools publicly available on wiki, and check with @Keegan that the most important developers of crucial Commons tools (needing transitioning to structured data) are aware, and invited to the May hackathon in Barcelona.

0x010C added a subscriber: 0x010C.Mar 1 2018, 8:33 AM
Qgil added a subscriber: Qgil.Apr 4 2018, 1:48 PM

What is the status of this task? Community-Relations-Support (Jan-Mar-2018) is over, and we need to move out or resolve it.

Keegan added a comment.Apr 4 2018, 5:09 PM

IIRC, @SandraF_WMF was going to continue to own the tools spreadsheet, it's relevant to GLAMs in a big way. This task can be removed from CL workboards for now, I think.

IIRC, @SandraF_WMF was going to continue to own the tools spreadsheet, it's relevant to GLAMs in a big way. This task can be removed from CL workboards for now, I think.

Yes, totally fine. Thanks!

SandraF_WMF closed this task as Resolved.Mar 15 2019, 12:29 PM

We currently have a good (probably never complete, but should be decent) overview of the tools concerned, and are in touch with many developers about the StructuredDataOnCommons related changes that will happen soon.

Posting the spreadsheet here again for reference
https://docs.google.com/spreadsheets/d/1GVR0jghBWuAGqJaT7KVXigMYWWNzdnrnwI9nWqfJrCo/edit#gid=0

And closing this task, as the preparatory work implied here is finished.

SandraF_WMF updated the task description. (Show Details)Mar 15 2019, 12:30 PM